> For the complete documentation index, see [llms.txt](https://docs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akinon.com/technical-guides/project-zero/next.js/plugins/akinon-next/data-fetching/server/seo.md).

# SEO

## <mark style="color:red;">getSeoData</mark> <a href="#getseodata" id="getseodata"></a>

This function is used to fetch SEO data for a given URL from Omnitron.

The **getSeoData** function is imported from `'@akinon/next/data/server'`.

```javascript
import { getSeoData } from '@akinon/next/data/server';
```

The SEO data is fetched by defining this function as follow:

```javascript
const response = await getSeoData('/');
```

* `url` : Provide the URL for which SEO data is fetched. This parameter is mandatory and should be of type String.

> **Note:** The URL for which the data is fetched should have content defined in the **Sales Channels > Marketing > SEO Settings** section of Omnitron.

Data returned from the function:

```json
{
    "pk": 1,
    "created_date": "2023-06-07T23:11:14.519842Z",
    "modified_date": "2023-06-07T23:11:14.519866Z",
    "attributes": {
        "css_class": "randb"
    },
    "url": "/",
    "title": "Shop Fashion for Women, Men, and Kids Online | R&B UAE",
    "description": "Discover the latest fashion clothes at R&B UAE, and create the best outfits with our fashion collection for men, women, and kids. Get the trendiest clothes online.",
    "keywords": "R&B",
    "attributes_kwargs": {}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.akinon.com/technical-guides/project-zero/next.js/plugins/akinon-next/data-fetching/server/seo.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
